## di 4.34

=== Makefile ===
#
#  di makefile - top level
#
#  Copyright 2001-2011 Brad Lanam Walnut Creek CA, USA
#
#  $Id: Makefile,v 1.13 2012-11-07 16:10:34-08 bll Exp $
#

SHELL = /bin/sh
MAKE = make
FROMDIR = C

###
# mkconfig variables

MKCONFIGPATH = mkconfig

###
# common programs
#
CAT = cat
CHGRP = chgrp
CHMOD = chmod
CHOWN = chown
CP = cp
LN = ln
MKDIR = mkdir
MV = mv
RM = rm
RPMBUILD = rpmbuild
SED = sed
TEST = test

MKC_DIR = ./mkconfig

###
# installation options
#
prefix = /usr/local
LOCALEDIR = $(prefix)/share/locale
PROG = di
MPROG = mi
#
INSTALL_DIR = $(prefix)
INSTALL_BIN_DIR = $(INSTALL_DIR)/bin
INST_LOCALEDIR = $(INSTALL_DIR)/share/locale
TARGET = $(INSTALL_BIN_DIR)/$(PROG)$(EXE_EXT)
MTARGET = $(INSTALL_BIN_DIR)/$(MPROG)$(EXE_EXT)

# if you need permissions other than the default,
# edit these, and do a "make installperm".
USER = root
GROUP = bin
INSTPERM = 4111   # install suid if your system has a mount table only root
#                   can read.  For SysV.4 and Solaris, the mount command may
#                   reset the permissions of /etc/mnttab.

#
# simple man page installation
#
DI_MANINSTDIR = $(INSTALL_DIR)/share/man
DI_MANDIR = $(DI_MANINSTDIR)/man1
MAN_TARGET = $(PROG).1
MANPERM = 644

###
# all

.PHONY: all
all:
	$(MAKE) checkbuild
	cd C >/dev/null && $(MAKE) -e all

.PHONY: all-c
all-c:
	$(MAKE) checkbuild
	cd C >/dev/null && $(MAKE) -e all

.PHONY: all-d
all-d:
	$(MAKE) checkbuild
	cd D >/dev/null && $(MAKE) -e all

.PHONY: all-perl
all-perl:
	$(MAKE) checkperlbuild
	cd C >/dev/null && $(MAKE) -e all-perl

.PHONY: windows-gcc
windows-gcc:
	cd C >/dev/null && $(MAKE) -e windows-gcc

.PHONY: test
test:
	cd C >/dev/null && $(MAKE) -e test
	$(MAKE) -e tests.done

tests.done: $(MKC_DIR)/runtests.sh
	@echo "## running tests"
	CC=$(CC) DC="skip" $(_MKCONFIG_SHELL) \
		$(MKC_DIR)/runtests.sh ./tests.d
	touch tests.done


###

###
# installation

.PHONY: install
install:
	$(MAKE) all-c
	$(MAKE) checkinstall
	. ./C/di.env; $(MAKE) -e FROMDIR=$(FROMDIR) install-prog install-man

.PHONY: build.po
build-po:
	-. ./C/di.env; \
		(cd po >/dev/null && for i in *.po; do \
		j=`echo $$i | $(SED) 's,\\.po$$,,'`; \
		$${XMSGFMT} -o $$j.mo $$i; \
	done)

.PHONY: install-po
install-po: 	build-po
	-$(TEST) -d $(INST_LOCALEDIR) || $(MKDIR) -p $(INST_LOCALEDIR)
	-(cd po >/dev/null && for i in *.po; do \
		j=`echo $$i | $(SED) 's,\\.po$$,,'`; \
		$(TEST) -d $(INST_LOCALEDIR)/$$j || \
			$(MKDIR) $(INST_LOCALEDIR)/$$j; \
		$(TEST) -d $(INST_LOCALEDIR)/$$j/LC_MESSAGES || \
			$(MKDIR) $(INST_LOCALEDIR)/$$j/LC_MESSAGES; \
		$(CP) -f $$j.mo $(INST_LOCALEDIR)/$$j/LC_MESSAGES/di.mo; \
		$(RM) -f $$j.mo; \
		done)

.PHONY: install-prog
install-prog:
	$(TEST) -d $(INSTALL_DIR) || $(MKDIR) -p $(INSTALL_DIR)
	$(TEST) -d $(INSTALL_BIN_DIR) || $(MKDIR) $(INSTALL_BIN_DIR)
	$(CP) -f ./$(FROMDIR)/$(PROG)$(EXE_EXT) $(TARGET)
	-$(RM) -f $(MTARGET) > /dev/null 2>&1
	-$(LN) -s $(PROG)$(EXE_EXT) $(MTARGET)
	@-test -f $(FROMDIR)/config.h && \
		grep '^#define _enable_nls 1' $(FROMDIR)/config.h >/dev/null 2>&1 && \
		(. ./$(FROMDIR)/di.env; $(MAKE) -e INST_LOCALEDIR="$(INST_LOCALEDIR)" \
		install-po)
	@-test -f $(FROMDIR)/config.d && \
		grep '^enum int _enable_nls = 1;' $(FROMDIR)/config.d >/dev/null 2>&1 && \
		(. ./$(FROMDIR)/di.env; $(MAKE) -e INST_LOCALEDIR="$(INST_LOCALEDIR)" \
		install-po)

.PHONY: install-man
install-man:
	-$(TEST) -d $(DI_MANINSTDIR) || $(MKDIR) -p $(DI_MANINSTDIR)
	-$(TEST) -d $(DI_MANDIR) || $(MKDIR) -p $(DI_MANDIR)
	$(CP) -f di.1 $(DI_MANDIR)/$(MAN_TARGET)
	$(CHMOD) $(MANPERM) $(DI_MANDIR)/$(MAN_TARGET)

.PHONY: installperms
installperms:
	$(CHOWN) $(USER) $(TARGET)
	$(CHGRP) $(GROUP) $(TARGET)
	$(CHMOD) $(INSTPERM) $(TARGET)

###
# packaging

.PHONY: tar
tar:
	@-rm -f $(MKCONFIGPATH)/*.tar.gz \
		di-[0-9].[0-9][0-9][a-z].tar.gz > /dev/null 2>&1
	cd $(MKCONFIGPATH) && $(MAKE) tar
	./mktar.sh

###
# cleaning

# Leaves:
#  _tmp_mkconfig/, _mkconfig_runtests/
.PHONY: clean
clean:
	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
		checkbuild checkperlbuild checkinstall \
		tests.done > /dev/null 2>&1
	@-(cd C >/dev/null && $(MAKE) clean > /dev/null 2>&1)
	@-(cd mkconfig >/dev/null && $(MAKE) clean > /dev/null 2>&1)
	@-(cd D >/dev/null && $(MAKE) clean > /dev/null 2>&1)

# Leaves:
#  _tmp_mkconfig/, _mkconfig_runtests/
.PHONY: realclean
realclean:
	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
		checkbuild checkperlbuild checkinstall \
		tests.done > /dev/null 2>&1
	@-(cd C >/dev/null && $(MAKE) realclean > /dev/null 2>&1)
	@-(cd mkconfig >/dev/null && $(MAKE) realclean > /dev/null 2>&1)
	@-(cd D >/dev/null && $(MAKE) realclean > /dev/null 2>&1)

# leaves:
#   dioptions.dat
.PHONY: distclean
distclean:
	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
		_mkconfig_runtests checkbuild checkperlbuild checkinstall \
		tests.done _tmp_mkconfig > /dev/null 2>&1
	@-(cd C >/dev/null && $(MAKE) distclean > /dev/null 2>&1)
	@-(cd mkconfig >/dev/null && $(MAKE) distclean > /dev/null 2>&1)
	@-(cd D >/dev/null && $(MAKE) distclean > /dev/null 2>&1)


###
# dioptions.dat

dioptions.dat:	features/dioptions.dat
	@$(CP) features/dioptions.dat dioptions.dat
	@$(CHMOD) u+w dioptions.dat

###
# pre-checks

checkbuild:	features/checkbuild.dat
	$(_MKCONFIG_SHELL) \
		$(MKCONFIGPATH)/mkconfig.sh features/checkbuild.dat
	touch checkbuild

checkperlbuild:	features/checkperlbuild.dat
	$(_MKCONFIG_SHELL) \
		$(MKCONFIGPATH)/mkconfig.sh features/checkperlbuild.dat
	touch checkperlbuild

checkinstall:	features/checkinstall.dat
	$(_MKCONFIG_SHELL) \
		$(MKCONFIGPATH)/mkconfig.sh features/checkinstall.dat
	touch checkinstall

=== C/Makefile ===
#
#  di makefile - C
#
#  Copyright 2001-2011 Brad Lanam Walnut Creek CA, USA
#
#  $Id: Makefile,v 1.135 2013-01-18 08:31:44-08 bll Exp $
#

CC = cc
# for tests.done
DC = gdc

SHELL = /bin/sh
OBJ_EXT = .o
EXE_EXT =
MAKE = make

###
# common programs
#
CAT = cat
CHGRP = chgrp
CHMOD = chmod
CHOWN = chown
CP = cp
LN = ln
MKDIR = mkdir
MV = mv
RM = rm
RPMBUILD = rpmbuild
SED = sed
TEST = test

###
# installation options
#
prefix = /usr/local
LOCALEDIR = $(prefix)/share/locale

###
# additional flags/libraries
#
DI_CPPFLAGS = -DDI_LOCALE_DIR=\"$(LOCALEDIR)\"

###
# mkconfig variables

MKC_DIR = ../mkconfig
MKCONFIG_TYPE = sh
MKC_REQLIB = di.reqlibs

###
# main

# have to get various environment variables set up.

.PHONY: all
all:	all-sh

.PHONY: all-sh
all-sh:	di.env
	. ./di.env;$(MAKE) -e MKCONFIG_TYPE=sh di-programs

.PHONY: all-perl
all-perl:	di.env
	. ./di.env;$(MAKE) -e MKCONFIG_TYPE=perl di-programs

.PHONY: test
test:		tests.done

###
# environment

di.env:	features/env.dat ../dioptions.dat
	@-$(RM) -f di.env tests.done
	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh features/env.dat

###
# specific builds

# This was tested using vc++ 5.0. (many years ago)
# seriously out of date; config.win is incorrect for this build.
.PHONY: windows
windows:
	@$(MAKE) ../dioptions.dat
	copy /y NUL: di.env
	-del config.h
	copy /y /b NUL:+configs\config.win config.h
	copy /y NUL: $(MKC_REQLIB)
	$(MAKE) \
		CC=cl LD=cl EXE_EXT=".exe" OBJ_EXT=".obj" \
		CFLAGS="$(CFLAGS) -nologo -O2 \
		-DDEFAULT_FORMAT=\\\"MbuvpT\\\"" \
		LDFLAGS="-nologo -O2" di-programs

# This was tested using cygwin
.PHONY: windows-gcc
windows-gcc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	$(CP) -f configs/config.win config.h
	@echo '-lintl' > $(MKC_REQLIB)
	$(MAKE) \
		CC=gcc LD=gcc EXE_EXT=".exe" OBJ_EXT=".o" \
		CFLAGS="$(CFLAGS) -g -O2 \
		-DDEFAULT_FORMAT=\\\"MbuvpT\\\"" \
		LDFLAGS="-g -O2" di-programs

.PHONY: windows-mingw
windows-mingw:
	copy /y /b NUL:+..\features\dioptions.dat ..\dioptions.dat
	copy /y NUL: di.env
	-del config.h
	copy /y /b NUL:+configs\config.mingw config.h
	copy /y NUL: $(MKC_REQLIB)
	$(MAKE) \
		CC=mingw32-gcc LD=mingw32-gcc \
		EXE_EXT=".exe" OBJ_EXT=".o" \
		CFLAGS="$(CFLAGS) -g -O2 \
		-DDEFAULT_FORMAT=\\\"MbuvpT\\\"" \
		LDFLAGS="-g -O2" mingw-di.exe

.PHONY: os2-gcc
os2-gcc:
	@echo ':' > di.env;chmod a+rx di.env
	$(MAKE) MKCONFIG_TYPE=perl \
		CC=gcc LD=gcc EXE_EXT=".exe" OBJ_EXT=".o" \
		CFLAGS="$(CFLAGS) -g -O2 \
		LDFLAGS="-g -O2 -Zexe" di.exe

.PHONY: bsd43-cc
bsd43-cc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.bsd43.cc config.h
	sleep 1
	@touch $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
		CFLAGS="$(CFLAGS) -O" \
		LDFLAGS="-O" di-programs

.PHONY: bsd43-gcc
bsd43-gcc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.bsd43.gcc config.h
	sleep 1
	@touch $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=gcc LD=gcc EXE_EXT="" OBJ_EXT=".o" \
		CFLAGS="$(CFLAGS) -O2" \
		LDFLAGS="-O2" di-programs

.PHONY: ultrix-cc
ultrix-cc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.ultrix.cc config.h
	sleep 1
	@touch $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
		CFLAGS="$(CFLAGS) -O" \
		LDFLAGS="-O" di-programs

.PHONY: ultrix-gcc
ultrix-gcc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.ultrix.gcc config.h
	sleep 1
	@echo '-lintl' > $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=gcc LD=gcc EXE_EXT="" OBJ_EXT=".o" \
		CFLAGS="$(CFLAGS) -O2" \
		LDFLAGS="-O2" di-programs

.PHONY: hpux-cc
hpux-cc:
	@$(MAKE) -e ../dioptions.dat
	@$(MAKE) CC=/usr/ccs/bin/cc -e di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.hpux.bcc config.h
	sleep 1;touch $(MKC_REQLIB)
	. ./di.env;$(MAKE) -e CC=/usr/ccs/bin/cc \
		_MKCONFIG_SHELL=$(MKCONFIG_SHELL) di-programs

.PHONY: xenix-cc
xenix-cc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/conf.xenix.cc config.h
	sleep 1
	@touch $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
		CFLAGS="$(CFLAGS) -O" \
		LDFLAGS="-O" di-programs

###
# cleaning

# leaves:
#   config.h di.reqlibs
#   ../dioptions.dat, tests.done, test_di, di.env
.PHONY: clean
clean:
	@-$(RM) -rf di mi \
		di.exe mingw-di.exe mi.exe \
		*.o *.obj mkconfig.log \
		tests.done _tmp_mkconfig tests.d/chksh* \
		mkconfig.cache mkc*.vars \
		getoptn_test* gconfig.h getoptn.reqlibs \
		mkconfig.reqlibs \
		>/dev/null 2>&1

# leaves:
#   _mkconfig_runtests, _tmp_mkconfig, ../dioptions.dat
#   tests.done, test_di
.PHONY: realclean
realclean:
	@$(MAKE) clean > /dev/null 2>&1
	@-$(RM) -rf config.h gconfig.h di.env $(MKC_REQLIB) \
		>/dev/null 2>&1

# leaves:
#   ../dioptions.dat
.PHONY: distclean
distclean:
	@$(MAKE) realclean > /dev/null 2>&1
	@-$(RM) -rf tests.done test_di \
		_mkconfig_runtests _tmp_mkconfig \
		>/dev/null 2>&1

###
# installation

.PHONY: install
install:	di-programs di.env
	. ./di.env;cd ..;$(MAKE) -e prefix=$(prefix) LOCALEDIR=$(LOCALEDIR) FROMDIR=C install

###
# programs

.PHONY: di-programs
di-programs:	di$(EXE_EXT)

###
# configuration file

../dioptions.dat:	../features/dioptions.dat
	cd ../;$(MAKE) dioptions.dat

config.h:	di.env ../dioptions.dat features/mkconfig.dat
	@-$(RM) -f config.h tests.done
	@if [ "$(DI_NO_NLS)" != "" ]; then \
		echo "*** User requested no NLS"; \
		$(MKC_DIR)/mkc.sh -setopt -o ../dioptions.dat NLS F; fi
	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
		. ./di.env;$(_MKCONFIG_SHELL) \
		$(MKC_DIR)/mkconfig.sh \
		features/mkconfig.dat; fi
	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
		. ./di.env;perl \
		$(MKC_DIR)/mkconfig.pl \
		features/mkconfig.dat; fi

$(MKC_REQLIB):	di.env config.h
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
		-o $(MKC_REQLIB) config.h


###
# executables

OBJECTS = di$(OBJ_EXT) didiskutil$(OBJ_EXT) \
		digetentries$(OBJ_EXT) digetinfo$(OBJ_EXT) \
		diquota$(OBJ_EXT) display$(OBJ_EXT) getoptn$(OBJ_EXT) \
		options$(OBJ_EXT) realloc$(OBJ_EXT) strdup$(OBJ_EXT) \
		strstr$(OBJ_EXT) trimchar$(OBJ_EXT)

di$(EXE_EXT):	$(MKC_REQLIB) $(OBJECTS)
	@echo "*** Using libs: `$(CAT) $(MKC_REQLIB)`"
	$(CC) -o di$(EXE_EXT) \
		$(LDFLAGS) $(OBJECTS) $(LIBS) \
		`$(CAT) $(MKC_REQLIB)`

mingw-di$(EXE_EXT):	$(OBJECTS)
	$(CC) -o mingw-di$(EXE_EXT) \
		$(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS)

###
# objects

di$(OBJ_EXT):		di.c config.h di.h display.h getoptn.h \
				options.h version.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(DI_CPPFLAGS) di.c

digetinfo$(OBJ_EXT):	digetinfo.c config.h di.h dimntopt.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) digetinfo.c

didiskutil$(OBJ_EXT):	didiskutil.c config.h di.h dimntopt.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) didiskutil.c

digetentries$(OBJ_EXT):	digetentries.c config.h di.h dimntopt.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) digetentries.c

diquota$(OBJ_EXT):	diquota.c config.h di.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) diquota.c

display$(OBJ_EXT):	display.c config.h di.h display.h options.h version.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) display.c

getoptn$(OBJ_EXT):	getoptn.c config.h getoptn.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) getoptn.c

options$(OBJ_EXT):	options.c config.h di.h options.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) options.c

realloc$(OBJ_EXT):	realloc.c config.h di.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) realloc.c

strdup$(OBJ_EXT):	strdup.c config.h di.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) strdup.c

strstr$(OBJ_EXT):	strstr.c config.h di.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) strstr.c

trimchar$(OBJ_EXT):	trimchar.c config.h di.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) trimchar.c

###
# regression testing

.PHONY: all-test
all-test:	tests.done

tests.done: $(MKC_DIR)/runtests.sh
	@echo "## running tests"
	CC=$(CC) DC=$(DC) $(_MKCONFIG_SHELL) \
		$(MKC_DIR)/runtests.sh ./tests.d
	touch tests.done

# needs environment
.PHONY: testrpmbuild
testrpmbuild:
	-$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild
	$(MKDIR) -p ./rpmbuild/SOURCES
	$(MKDIR) -p ./rpmbuild/BUILD
	$(CP) -f $(DI_DIR)/di-$(DI_VERSION).tar.gz ./rpmbuild/SOURCES
	$(RPMBUILD) --define="_topdir `pwd`/rpmbuild" -ba ../di.spec
	$(TEST) -f ./rpmbuild/RPMS/$(MARCH)/di-$(DI_VERSION)-1.$(MARCH).rpm || exit 1
	$(TEST) -f ./rpmbuild/SRPMS/di-$(DI_VERSION)-1.src.rpm || exit 1
	$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild

# needs environment
.PHONY: rtest-env
rtest-env:
	@echo "$(_MKCONFIG_SYSTYPE)"
	@echo "$(_MKCONFIG_SYSREV)"
	@echo "$(_MKCONFIG_SYSARCH)"
	@echo "$(CC)"
	@echo "$(_MKCONFIG_USING_GCC)"
	@echo "$(CFLAGS)"
	@echo "$(LDFLAGS)"
	@echo "$(LIBS)"
	@echo "$(OBJ_EXT)"
	@echo "$(EXE_EXT)"
	@echo "$(XMSGFMT)"

gconfig.h:	di.env features/getoptn.dat
	@-$(RM) -f gconfig.h
	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
		. ./di.env;$(_MKCONFIG_SHELL) \
		$(MKC_DIR)/mkconfig.sh \
		features/getoptn.dat; fi
	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
		. ./di.env;perl \
		$(MKC_DIR)/mkconfig.pl \
		features/getoptn.dat; fi

getoptn_test$(OBJ_EXT):	getoptn.c gconfig.h getoptn.h
	$(CC) -o getoptn_test$(OBJ_EXT) -DTEST_GETOPTN=1 -c getoptn.c

getoptn.reqlibs:	di.env gconfig.h
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
		-o getoptn.reqlibs gconfig.h

getoptn_test.exe:	getoptn_test$(OBJ_EXT) getoptn.reqlibs
	$(CC) -o getoptn_test.exe $(LDFLAGS) getoptn_test$(OBJ_EXT) \
		`$(CAT) getoptn.reqlibs`

=== D/Makefile ===
#
#  di makefile - D
#
#  Copyright 2011 Brad Lanam Walnut Creek CA, USA
#
#  $Id: Makefile,v 1.25 2012-01-26 19:21:23-08 bll Exp $
#

SHELL = /bin/sh
OBJ_EXT = .o
EXE_EXT =
MAKE = make

CC = cc
DC = gdc

#
# common programs
#
CAT = cat
CHGRP = chgrp
CHMOD = chmod
CHOWN = chown
CP = cp
LN = ln
MKDIR = mkdir
MV = mv
RM = rm

###
# mkconfig variables

MKC_DIR = ../mkconfig
MKCONFIG_TYPE = sh
MKC_REQLIB = di.reqlibs
# set to -e to echo command lines.
MKCECHO =

###
# main

# have to get various environment variables set up.

#        DTESTFLAGS="$$DC_OPT $$DC_RELEASE $$DC_INLINE" di-programs

# compiling w/o the unittest flag doesn't work w/incremental linking
.PHONY: all
all:	di.env
	. ./di.env; \
	$(MAKE) -e MKCONFIG_TYPE=sh \
		DTESTFLAGS="$$DC_UNITTEST" di-programs

#        DTESTFLAGS="$$DC_UNITTEST $$DC_COV $$DC_DEBUG" \

.PHONY: all-test
all-test: di.env
	. ./di.env; \
	$(MAKE) -e MKCONFIG_TYPE=sh \
		DTESTFLAGS="$$DC_UNITTEST $$DC_COV " \
		LIBS="$(LIBS) $$DC_LIBS" di-programs

###
# environment

#### possibly merge features/env.dat w/C version???

di.env:	features/env.dat ../dioptions.dat
	@-$(RM) -f di.env tests.done
	CFLAGS="-I`pwd`/../C" $(_MKCONFIG_SHELL) \
		$(MKC_DIR)/mkconfig.sh features/env.dat

###
# cleaning

# leaves:
#   config.d, di.env, di.reqlibs
.PHONY: clean
clean:
	@-rm -f di di.exe mi mi.exe \
		*.o *.obj *.lst *.gcno *.gcda *.gcov \
		mkconfig.log mkconfig.cache mkc*.vars \
		> /dev/null 2>&1

# leaves:
#   _mkconfig_runtests, _tmp_mkconfig
.PHONY: realclean
realclean:
	@$(MAKE) clean > /dev/null 2>&1
	@-$(RM) -rf config.d di.env $(MKC_REQLIB) \
		>/dev/null 2>&1

# leaves:
.PHONY: distclean
distclean:
	@$(MAKE) realclean > /dev/null 2>&1
	@-$(RM) -rf _mkconfig_runtests _tmp_mkconfig test_di \
		>/dev/null 2>&1

###
# installation

.PHONY: install
install:	di-programs di.env
	. ./di.env;cd ..;$(MAKE) -e prefix=$(prefix) LOCALEDIR=$(LOCALEDIR) FROMDIR=D install

###
# programs

.PHONY: di-programs
di-programs:	di$(EXE_EXT)

###
# configuration file

../dioptions.dat:	../features/dioptions.dat
	cd ../;$(MAKE) dioptions.dat

config.d:	di.env ../dioptions.dat features/mkconfig.dat
	@-$(RM) -f config.d tests.done
	@if [ "$(DI_NO_NLS)" != "" ]; then \
		echo "*** User requested no NLS"; \
		$(MKC_DIR)/mkcsetopt.sh -o ../dioptions.dat NLS F; fi
	@. ./di.env;$(_MKCONFIG_SHELL) \
		$(MKC_DIR)/mkconfig.sh \
		features/mkconfig.dat; fi

$(MKC_REQLIB):	di.env config.d
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib -o \
		$(MKC_REQLIB) config.d

###
# executables

OBJECTS = config$(OBJ_EXT) di$(OBJ_EXT) \
	dihelp$(OBJ_EXT) dilocale$(OBJ_EXT) \
	diquota$(OBJ_EXT) diskpart$(OBJ_EXT) display$(OBJ_EXT) \
	dispopts$(OBJ_EXT) digetoptn$(OBJ_EXT) options$(OBJ_EXT)

di$(EXE_EXT):	$(OBJECTS) $(MKC_REQLIB)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -link $(MKCECHO) -c $(DC) \
	-o di$(EXE_EXT) -r $(MKC_REQLIB) -- $(LDFLAGS) $(OBJECTS) $(LIBS)

###
# objects

config$(OBJ_EXT):	config.d
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) config.d

di$(OBJ_EXT):	di.d config$(OBJ_EXT) \
		diskpart$(OBJ_EXT) dihelp$(OBJ_EXT) \
		dilocale$(OBJ_EXT) diquota$(OBJ_EXT) \
		display$(OBJ_EXT) dispopts$(OBJ_EXT) \
		digetoptn$(OBJ_EXT) options$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) di.d

digetoptn$(OBJ_EXT):	digetoptn.d config$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) digetoptn.d

dihelp$(OBJ_EXT):	dihelp.d config$(OBJ_EXT) dilocale$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) dihelp.d

dilocale$(OBJ_EXT):	dilocale.d config$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) dilocale.d

diquota$(OBJ_EXT):	diquota.d config$(OBJ_EXT) diskpart$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) diquota.d

diskpart$(OBJ_EXT):	diskpart.d config$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) diskpart.d

display$(OBJ_EXT):	display.d config$(OBJ_EXT) dilocale$(OBJ_EXT) \
		diskpart$(OBJ_EXT) dispopts$(OBJ_EXT) \
		options$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) display.d

dispopts$(OBJ_EXT):	dispopts.d config$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) dispopts.d

options$(OBJ_EXT):	options.d config$(OBJ_EXT) \
		dispopts$(OBJ_EXT) dihelp$(OBJ_EXT) digetoptn$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) options.d

=== mkconfig/Makefile ===
#
#
#

RM = rm
DC = gdc
SHELL = /bin/sh

###
#

.PHONY: test
test:	tests.done

# leaves _tmp_mkconfig, _mkconfig_runtests, checktests
.PHONY: clean
clean:
	@-$(RM) -rf tests.done tests.d/chksh* tests.d/c.d/chksh* \
		tests.d/d.d/chksh* mkconfig.cache mkconfig.log \
		mkc*.vars > /dev/null 2>&1

.PHONY: realclean
realclean:
	@$(MAKE) clean > /dev/null 2>&1
	@-$(RM) -rf checktests _tmp_mkconfig _mkconfig_runtests \
		> /dev/null 2>&1

.PHONY: distclean
distclean:
	@$(MAKE) realclean > /dev/null 2>&1

###

checktests:
	$(_MKCONFIG_SHELL) ./mkconfig.sh features/checktests.dat
	touch checktests

tests.done: runtests.sh
	@echo "## running mkconfig tests"
	CC=$(CC) DC=$(DC) $(_MKCONFIG_SHELL) ./runtests.sh tests.d
	touch tests.done

.PHONY: tar
tar:
	./util/mktar.sh

=== debian/changelog ===
di (4.34-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:26 +0000

di (4.34-2) unstable; urgency=low

  * New upstream release (Closes: #711816)
  * Makefile now uses mkdir -p this should fix ftbfs (Closes: #713234)

 -- Michael Ablassmeier <abi@debian.org>  Sat, 22 Jun 2013 14:37:01 +0200

=== debian/control ===
Source: di
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Ablassmeier <abi@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gettext
Standards-Version: 3.9.1
Homepage: http://www.gentoo.com/di/

Package: di
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced df like disk information utility
 `di' is a disk information utility, displaying everything
 (and more) that your `df' command does. It features the
 ability to display your disk usage in whatever format you
 desire/prefer/are used to. It is designed to be portable
 across many platforms.

## di 4.46

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,6 @@
 #  di makefile - top level
 #
 #  Copyright 2001-2011 Brad Lanam Walnut Creek CA, USA
-#
-#  $Id: Makefile,v 1.13 2012-11-07 16:10:34-08 bll Exp $
 #
 
 SHELL = /bin/sh
@@ -69,12 +67,17 @@
 .PHONY: all
 all:
 	$(MAKE) checkbuild
-	cd C >/dev/null && $(MAKE) -e all
+	cd C >/dev/null && $(MAKE) CC=$(CC) -e all
 
 .PHONY: all-c
 all-c:
 	$(MAKE) checkbuild
-	cd C >/dev/null && $(MAKE) -e all
+	cd C >/dev/null && $(MAKE) CC=$(CC) -e all
+
+.PHONY: tcl-sh
+tcl-sh:
+	$(MAKE) checkbuild
+	cd C >/dev/null && $(MAKE) CC=$(CC) -e tcl-sh
 
 .PHONY: all-d
 all-d:
@@ -84,11 +87,23 @@
 .PHONY: all-perl
 all-perl:
 	$(MAKE) checkperlbuild
-	cd C >/dev/null && $(MAKE) -e all-perl
+	cd C >/dev/null && $(MAKE) CC=$(CC) -e all-perl
 
 .PHONY: windows-gcc
 windows-gcc:
 	cd C >/dev/null && $(MAKE) -e windows-gcc
+
+.PHONY: windows-clang
+windows-clang:
+	cd C >/dev/null && $(MAKE) -e windows-clang
+
+.PHONY: windows-msys
+windows-msys:
+	cd C >/dev/null && $(MAKE) -e windows-msys
+
+.PHONY: windows-mingw
+windows-mingw:
+	cd C >/dev/null && $(MAKE) -e windows-mingw
 
 .PHONY: test
 test:
@@ -168,9 +183,7 @@
 
 .PHONY: tar
 tar:
-	@-rm -f $(MKCONFIGPATH)/*.tar.gz \
-		di-[0-9].[0-9][0-9][a-z].tar.gz > /dev/null 2>&1
-	cd $(MKCONFIGPATH) && $(MAKE) tar
+	@-rm -f di-[0-9].[0-9][0-9][a-z].tar.gz > /dev/null 2>&1
 	./mktar.sh
 
 ###
@@ -183,6 +196,7 @@
 	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
 		checkbuild checkperlbuild checkinstall \
 		tests.done > /dev/null 2>&1
+	@-find . -name '*~' -print | xargs rm
 	@-(cd C >/dev/null && $(MAKE) clean > /dev/null 2>&1)
 	@-(cd mkconfig >/dev/null && $(MAKE) clean > /dev/null 2>&1)
 	@-(cd D >/dev/null && $(MAKE) clean > /dev/null 2>&1)
@@ -193,7 +207,7 @@
 realclean:
 	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
 		checkbuild checkperlbuild checkinstall \
-		tests.done > /dev/null 2>&1
+		tests.done *~ */*~ */*/*~ > /dev/null 2>&1
 	@-(cd C >/dev/null && $(MAKE) realclean > /dev/null 2>&1)
 	@-(cd mkconfig >/dev/null && $(MAKE) realclean > /dev/null 2>&1)
 	@-(cd D >/dev/null && $(MAKE) realclean > /dev/null 2>&1)
@@ -204,7 +218,7 @@
 distclean:
 	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
 		_mkconfig_runtests checkbuild checkperlbuild checkinstall \
-		tests.done _tmp_mkconfig > /dev/null 2>&1
+		tests.done _tmp_mkconfig *~ */*~ */*/*~ *.orig > /dev/null 2>&1
 	@-(cd C >/dev/null && $(MAKE) distclean > /dev/null 2>&1)
 	@-(cd mkconfig >/dev/null && $(MAKE) distclean > /dev/null 2>&1)
 	@-(cd D >/dev/null && $(MAKE) distclean > /dev/null 2>&1)

=== C/Makefile ===
--- 
+++ 
@@ -1,16 +1,13 @@
 #
 #  di makefile - C
 #
-#  Copyright 2001-2011 Brad Lanam Walnut Creek CA, USA
-#
-#  $Id: Makefile,v 1.135 2013-01-18 08:31:44-08 bll Exp $
+#  Copyright 2001-2018 Brad Lanam Walnut Creek CA, USA
 #
 
 CC = cc
 # for tests.done
 DC = gdc
 
-SHELL = /bin/sh
 OBJ_EXT = .o
 EXE_EXT =
 MAKE = make
@@ -48,6 +45,7 @@
 MKC_DIR = ../mkconfig
 MKCONFIG_TYPE = sh
 MKC_REQLIB = di.reqlibs
+MKC_TCLREQLIB = di-tcl.reqlibs
 
 ###
 # main
@@ -65,6 +63,24 @@
 all-perl:	di.env
 	. ./di.env;$(MAKE) -e MKCONFIG_TYPE=perl di-programs
 
+# tcl interface
+.PHONY: tcl-sh
+tcl-sh:	di-sh.env
+	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=sh tcl-programs
+
+# this is not working...need to research
+#tcl-perl:	di-sh.env
+#	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=perl tcl-programs
+
+# perl interface
+.PHONY: perl-sh
+perl-sh:	di-sh.env
+	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=sh perl-programs
+
+.PHONY: perl-perl
+perl-perl:	di-sh.env
+	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=perl perl-programs
+
 .PHONY: test
 test:		tests.done
 
@@ -75,17 +91,21 @@
 	@-$(RM) -f di.env tests.done
 	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh features/env.dat
 
+di-sh.env:	features/shenv.dat
+	@-$(RM) -f di-sh.env tests.done
+	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh features/shenv.dat
+
 ###
 # specific builds
 
 # This was tested using vc++ 5.0. (many years ago)
-# seriously out of date; config.win is incorrect for this build.
+# seriously out of date; config.cygwin.gcc is incorrect for this build.
 .PHONY: windows
 windows:
 	@$(MAKE) ../dioptions.dat
 	copy /y NUL: di.env
 	-del config.h
-	copy /y /b NUL:+configs\config.win config.h
+	copy /y /b NUL:+configs\config.cygwin.gcc config.h
 	copy /y NUL: $(MKC_REQLIB)
 	$(MAKE) \
 		CC=cl LD=cl EXE_EXT=".exe" OBJ_EXT=".obj" \
@@ -99,7 +119,7 @@
 	@$(MAKE) ../dioptions.dat
 	@echo ':' > di.env;chmod a+rx di.env
 	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
-	$(CP) -f configs/config.win config.h
+	$(CP) -f configs/config.cygwin.gcc config.h
 	@echo '-lintl' > $(MKC_REQLIB)
 	$(MAKE) \
 		CC=gcc LD=gcc EXE_EXT=".exe" OBJ_EXT=".o" \
@@ -107,15 +127,49 @@
 		-DDEFAULT_FORMAT=\\\"MbuvpT\\\"" \
 		LDFLAGS="-g -O2" di-programs
 
+# Gets an immediate segmentation fault.
+.PHONY: windows-clang
+windows-clang:
+	@$(MAKE) ../dioptions.dat
+	@echo ':' > di.env;chmod a+rx di.env
+	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
+	$(CP) -f configs/config.cygwin.clang config.h
+	@echo '-lintl' > $(MKC_REQLIB)
+	$(MAKE) \
+		CC=clang LD=clang EXE_EXT=".exe" OBJ_EXT=".o" \
+		CFLAGS="$(CFLAGS) -g -O2 \
+		--without-libintl-prefix \
+		--without-libiconv-prefix \
+		-DDEFAULT_FORMAT=\\\"MbuvpT\\\"" \
+		LDFLAGS="-g -O2" di-programs
+
+.PHONY: windows-msys
+windows-msys:
+	MAKE=mingw32-make
+	cp ../features/dioptions.dat ../dioptions.dat
+	> di.env
+	-rm config.h
+	cp configs/config.mingw config.h
+	> $(MKC_REQLIB)
+	$(MAKE) \
+		MAKE=$(MAKE) \
+		CC=gcc \
+		EXE_EXT=".exe" OBJ_EXT=".o" \
+		CFLAGS="$(CFLAGS) -g -O2 \
+		-DDEFAULT_FORMAT=\\\"MbuvpT\\\"" \
+		LDFLAGS="-g -O2" di-programs
+
 .PHONY: windows-mingw
 windows-mingw:
+	MAKE=mingw32-make
 	copy /y /b NUL:+..\features\dioptions.dat ..\dioptions.dat
 	copy /y NUL: di.env
 	-del config.h
 	copy /y /b NUL:+configs\config.mingw config.h
 	copy /y NUL: $(MKC_REQLIB)
 	$(MAKE) \
-		CC=mingw32-gcc LD=mingw32-gcc \
+		MAKE=$(MAKE) \
+		CC=gcc LD=gcc \
 		EXE_EXT=".exe" OBJ_EXT=".o" \
 		CFLAGS="$(CFLAGS) -g -O2 \
 		-DDEFAULT_FORMAT=\\\"MbuvpT\\\"" \
@@ -214,18 +268,27 @@
 # cleaning
 
 # leaves:
-#   config.h di.reqlibs
-#   ../dioptions.dat, tests.done, test_di, di.env
+#   config.h configtcl.h di.reqlibs
+#   ../dioptions.dat, tests.done, test_di, di.env, di-sh.env
 .PHONY: clean
 clean:
 	@-$(RM) -rf di mi \
 		di.exe mingw-di.exe mi.exe \
+		tcldiskspace.bld diskspace.so diskspace.dylib diskspace.dll \
+		perlfilesysdi.bld libdiperl.a \
 		*.o *.obj mkconfig.log \
 		tests.done _tmp_mkconfig tests.d/chksh* \
 		mkconfig.cache mkc*.vars \
 		getoptn_test* gconfig.h getoptn.reqlibs \
 		mkconfig.reqlibs \
+		Perl/Filesys-di-*.tar.gz \
+		Perl/Makefile.old \
 		>/dev/null 2>&1
+	@-cd Perl; \
+		if [ -f Makefile ]; then \
+		$(MAKE) clean; \
+		fi
+	@-find . -name '*~' -print | xargs rm
 
 # leaves:
 #   _mkconfig_runtests, _tmp_mkconfig, ../dioptions.dat
@@ -233,7 +296,8 @@
 .PHONY: realclean
 realclean:
 	@$(MAKE) clean > /dev/null 2>&1
-	@-$(RM) -rf config.h gconfig.h di.env $(MKC_REQLIB) \
+	@-$(RM) -rf config.h configtcl.h gconfig.h \
+		di.env di-sh.env $(MKC_REQLIB) $(MKC_TCLREQLIB) \
 		>/dev/null 2>&1
 
 # leaves:
@@ -243,7 +307,12 @@
 	@$(MAKE) realclean > /dev/null 2>&1
 	@-$(RM) -rf tests.done test_di \
 		_mkconfig_runtests _tmp_mkconfig \
+		*~ *.orig */*.orig \
 		>/dev/null 2>&1
+	@-cd Perl; \
+		if [ -f Makefile ]; then \
+		$(MAKE) distclean; \
+		fi
 
 ###
 # installation
@@ -257,6 +326,10 @@
 
 .PHONY: di-programs
 di-programs:	di$(EXE_EXT)
+.PHONY: tcl-programs
+tcl-programs:	tcldiskspace.bld
+.PHONY: perl-programs
+perl-programs:	perlfilesysdi.bld
 
 ###
 # configuration file
@@ -278,37 +351,91 @@
 		$(MKC_DIR)/mkconfig.pl \
 		features/mkconfig.dat; fi
 
+configtcl.h:	di-sh.env ../dioptions.dat features/mkconfig-tcl.dat
+	@-$(RM) -f configtcl.h
+	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
+		. ./di-sh.env;$(_MKCONFIG_SHELL) \
+		$(MKC_DIR)/mkconfig.sh \
+		features/mkconfig-tcl.dat; fi
+	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
+		. ./di-sh.env;perl \
+		$(MKC_DIR)/mkconfig.pl \
+		features/mkconfig-tcl.dat; fi
+
 $(MKC_REQLIB):	di.env config.h
 	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
 		-o $(MKC_REQLIB) config.h
 
+$(MKC_TCLREQLIB):	di.env configtcl.h
+	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
+		-o $(MKC_TCLREQLIB) configtcl.h
+
 
 ###
 # executables
 
-OBJECTS = di$(OBJ_EXT) didiskutil$(OBJ_EXT) \
+LIBOBJECTS = dimain$(OBJ_EXT) didiskutil$(OBJ_EXT) \
 		digetentries$(OBJ_EXT) digetinfo$(OBJ_EXT) \
-		diquota$(OBJ_EXT) display$(OBJ_EXT) getoptn$(OBJ_EXT) \
+		diquota$(OBJ_EXT)  display$(OBJ_EXT) getoptn$(OBJ_EXT) \
 		options$(OBJ_EXT) realloc$(OBJ_EXT) strdup$(OBJ_EXT) \
 		strstr$(OBJ_EXT) trimchar$(OBJ_EXT)
 
-di$(EXE_EXT):	$(MKC_REQLIB) $(OBJECTS)
+MAINOBJECTS = di$(OBJ_EXT)
+
+TCLOBJECTS = tcldiskspace$(OBJ_EXT)
+
+di$(EXE_EXT):	$(MKC_REQLIB) $(MAINOBJECTS) $(LIBOBJECTS)
 	@echo "*** Using libs: `$(CAT) $(MKC_REQLIB)`"
 	$(CC) -o di$(EXE_EXT) \
-		$(LDFLAGS) $(OBJECTS) $(LIBS) \
+		$(LDFLAGS) $(MAINOBJECTS) $(LIBOBJECTS) $(LIBS) \
 		`$(CAT) $(MKC_REQLIB)`
 
-mingw-di$(EXE_EXT):	$(OBJECTS)
+tcldiskspace.bld:	$(MKC_REQLIB) $(MKC_TCLREQLIB) $(TCLOBJECTS) \
+		$(LIBOBJECTS)
+	@echo "*** Using libs: `$(CAT) $(MKC_TCLREQLIB)` `$(CAT) $(MKC_REQLIB)`"
+	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh \
+		-sharedlib -e diskspace$(SHLIB_EXT) \
+		$(TCLOBJECTS) $(LIBOBJECTS) $(LIBS) \
+		`$(CAT) $(MKC_TCLREQLIB)` `$(CAT) $(MKC_REQLIB)`
+	touch tcldiskspace.bld
+
+perlfilesysdi.bld:	$(MKC_REQLIB) $(LIBOBJECTS)
+	@echo "*** Using libs: `$(CAT) $(MKC_REQLIB)`"
+	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh \
+		-staticlib -e libdiperl \
+		$(LIBOBJECTS) $(LIBS) \
+		`$(CAT) $(MKC_REQLIB)`
+	# Don't know how to pass additional libs to Makefile.PL
+	# so pass all the information.
+	( \
+	cd Perl ; \
+	perl Makefile.PL LIBS="-L.. -ldiperl `$(CAT) ../$(MKC_REQLIB)`" ; \
+	make ; \
+	make test ; \
+	)
+	touch perlfilesysdi.bld
+
+mingw-di$(EXE_EXT):	$(MAINOBJECTS) $(LIBOBJECTS)
 	$(CC) -o mingw-di$(EXE_EXT) \
-		$(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS)
+		$(CFLAGS) $(LDFLAGS) $(LIBOBJECTS) $(LIBS)
 
 ###
 # objects
 
-di$(OBJ_EXT):		di.c config.h di.h display.h getoptn.h \
+di$(OBJ_EXT):		di.c config.h di.h dimain.h getoptn.h \
 				options.h version.h
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(DI_CPPFLAGS) di.c
 
+tcldiskspace$(OBJ_EXT):		tcldiskspace.c config.h di.h \
+				dimain.h getoptn.h \
+				options.h
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) \
+		$(DI_CPPFLAGS) tcldiskspace.c
+
+dimain$(OBJ_EXT):	dimain.c config.h di.h dimain.h getoptn.h \
+				options.h
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(DI_CPPFLAGS) dimain.c
+
 digetinfo$(OBJ_EXT):	digetinfo.c config.h di.h dimntopt.h
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) digetinfo.c
 
@@ -350,56 +477,3 @@
 
 tests.done: $(MKC_DIR)/runtests.sh
 	@echo "## running tests"
-	CC=$(CC) DC=$(DC) $(_MKCONFIG_SHELL) \
-		$(MKC_DIR)/runtests.sh ./tests.d
-	touch tests.done
-
-# needs environment
-.PHONY: testrpmbuild
-testrpmbuild:
-	-$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild
-	$(MKDIR) -p ./rpmbuild/SOURCES
-	$(MKDIR) -p ./rpmbuild/BUILD
-	$(CP) -f $(DI_DIR)/di-$(DI_VERSION).tar.gz ./rpmbuild/SOURCES
-	$(RPMBUILD) --define="_topdir `pwd`/rpmbuild" -ba ../di.spec
-	$(TEST) -f ./rpmbuild/RPMS/$(MARCH)/di-$(DI_VERSION)-1.$(MARCH).rpm || exit 1
-	$(TEST) -f ./rpmbuild/SRPMS/di-$(DI_VERSION)-1.src.rpm || exit 1
-	$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild
-
-# needs environment
-.PHONY: rtest-env
-rtest-env:
-	@echo "$(_MKCONFIG_SYSTYPE)"
-	@echo "$(_MKCONFIG_SYSREV)"
-	@echo "$(_MKCONFIG_SYSARCH)"
-	@echo "$(CC)"
-	@echo "$(_MKCONFIG_USING_GCC)"
-	@echo "$(CFLAGS)"
-	@echo "$(LDFLAGS)"
-	@echo "$(LIBS)"
-	@echo "$(OBJ_EXT)"
-	@echo "$(EXE_EXT)"
-	@echo "$(XMSGFMT)"
-
-gconfig.h:	di.env features/getoptn.dat
-	@-$(RM) -f gconfig.h
-	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
-		. ./di.env;$(_MKCONFIG_SHELL) \
-		$(MKC_DIR)/mkconfig.sh \
-		features/getoptn.dat; fi
-	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
-		. ./di.env;perl \
-		$(MKC_DIR)/mkconfig.pl \
-		features/getoptn.dat; fi
-
-getoptn_test$(OBJ_EXT):	getoptn.c gconfig.h getoptn.h
-	$(CC) -o getoptn_test$(OBJ_EXT) -DTEST_GETOPTN=1 -c getoptn.c
-
-getoptn.reqlibs:	di.env gconfig.h
-	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
-		-o getoptn.reqlibs gconfig.h
-
-getoptn_test.exe:	getoptn_test$(OBJ_EXT) getoptn.reqlibs
-	$(CC) -o getoptn_test.exe $(LDFLAGS) getoptn_test$(OBJ_EXT) \
-		`$(CAT) getoptn.reqlibs`
-

=== debian/changelog ===
di (4.46-0.1~mx15+1) mx; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 9.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Jun 2018 12:36:44 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: di
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Michael Ablassmeier <abi@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), gettext
+Build-Depends: debhelper (>= 9), gettext
 Standards-Version: 3.9.1
 Homepage: http://www.gentoo.com/di/

## di 4.47

=== Makefile ===
--- 
+++ 
@@ -195,11 +195,10 @@
 clean:
 	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
 		checkbuild checkperlbuild checkinstall \
-		tests.done > /dev/null 2>&1
-	@-find . -name '*~' -print | xargs rm
-	@-(cd C >/dev/null && $(MAKE) clean > /dev/null 2>&1)
-	@-(cd mkconfig >/dev/null && $(MAKE) clean > /dev/null 2>&1)
-	@-(cd D >/dev/null && $(MAKE) clean > /dev/null 2>&1)
+		tests.done > /dev/null 2>&1; exit 0
+	@-find . -name '*~' -print | xargs rm >/dev/null 2>&1; exit 0
+	@-(cd C >/dev/null && $(MAKE) clean > /dev/null 2>&1); exit 0
+	@-(cd D >/dev/null && $(MAKE) clean > /dev/null 2>&1); exit 0
 
 # Leaves:
 #  _tmp_mkconfig/, _mkconfig_runtests/
@@ -207,10 +206,9 @@
 realclean:
 	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
 		checkbuild checkperlbuild checkinstall \
-		tests.done *~ */*~ */*/*~ > /dev/null 2>&1
-	@-(cd C >/dev/null && $(MAKE) realclean > /dev/null 2>&1)
-	@-(cd mkconfig >/dev/null && $(MAKE) realclean > /dev/null 2>&1)
-	@-(cd D >/dev/null && $(MAKE) realclean > /dev/null 2>&1)
+		tests.done *~ */*~ */*/*~ > /dev/null 2>&1; exit 0
+	@-(cd C >/dev/null && $(MAKE) realclean > /dev/null 2>&1); exit 0
+	@-(cd D >/dev/null && $(MAKE) realclean > /dev/null 2>&1); exit 0
 
 # leaves:
 #   dioptions.dat
@@ -218,10 +216,10 @@
 distclean:
 	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
 		_mkconfig_runtests checkbuild checkperlbuild checkinstall \
-		tests.done _tmp_mkconfig *~ */*~ */*/*~ *.orig > /dev/null 2>&1
-	@-(cd C >/dev/null && $(MAKE) distclean > /dev/null 2>&1)
-	@-(cd mkconfig >/dev/null && $(MAKE) distclean > /dev/null 2>&1)
-	@-(cd D >/dev/null && $(MAKE) distclean > /dev/null 2>&1)
+		tests.done _tmp_mkconfig *~ */*~ \
+		*/*/*~ *.orig > /dev/null 2>&1; exit 0
+	@-(cd C >/dev/null && $(MAKE) distclean > /dev/null 2>&1); exit 0
+	@-(cd D >/dev/null && $(MAKE) distclean > /dev/null 2>&1); exit 0
 
 
 ###
@@ -230,6 +228,7 @@
 dioptions.dat:	features/dioptions.dat
 	@$(CP) features/dioptions.dat dioptions.dat
 	@$(CHMOD) u+w dioptions.dat
+	@touch dioptions.dat # to get mod date current
 
 ###
 # pre-checks

=== C/Makefile ===
--- 
+++ 
@@ -37,7 +37,8 @@
 ###
 # additional flags/libraries
 #
-DI_CPPFLAGS = -DDI_LOCALE_DIR=\"$(LOCALEDIR)\"
+DI_SHARED = 
+DI_CFLAGS = -DDI_LOCALE_DIR=\\\"$(LOCALEDIR)\\\"
 
 ###
 # mkconfig variables
@@ -46,6 +47,8 @@
 MKCONFIG_TYPE = sh
 MKC_REQLIB = di.reqlibs
 MKC_TCLREQLIB = di-tcl.reqlibs
+MKC_ECHO = 
+#MKC_ECHO = -e
 
 ###
 # main
@@ -280,15 +283,15 @@
 		tests.done _tmp_mkconfig tests.d/chksh* \
 		mkconfig.cache mkc*.vars \
 		getoptn_test* gconfig.h getoptn.reqlibs \
-		mkconfig.reqlibs \
+		mkconfig.reqlibs mkc_compile.log \
 		Perl/Filesys-di-*.tar.gz \
 		Perl/Makefile.old \
-		>/dev/null 2>&1
+		>/dev/null 2>&1; exit 0
 	@-cd Perl; \
 		if [ -f Makefile ]; then \
 		$(MAKE) clean; \
 		fi
-	@-find . -name '*~' -print | xargs rm
+	@-find . -name '*~' -print | xargs rm > /dev/null 2>&1; exit 0
 
 # leaves:
 #   _mkconfig_runtests, _tmp_mkconfig, ../dioptions.dat
@@ -298,7 +301,7 @@
 	@$(MAKE) clean > /dev/null 2>&1
 	@-$(RM) -rf config.h configtcl.h gconfig.h \
 		di.env di-sh.env $(MKC_REQLIB) $(MKC_TCLREQLIB) \
-		>/dev/null 2>&1
+		>/dev/null 2>&1; exit 0
 
 # leaves:
 #   ../dioptions.dat
@@ -308,7 +311,7 @@
 	@-$(RM) -rf tests.done test_di \
 		_mkconfig_runtests _tmp_mkconfig \
 		*~ *.orig */*.orig \
-		>/dev/null 2>&1
+		>/dev/null 2>&1; exit 0
 	@-cd Perl; \
 		if [ -f Makefile ]; then \
 		$(MAKE) distclean; \
@@ -318,8 +321,9 @@
 # installation
 
 .PHONY: install
-install:	di-programs di.env
-	. ./di.env;cd ..;$(MAKE) -e prefix=$(prefix) LOCALEDIR=$(LOCALEDIR) FROMDIR=C install
+install:	di.env di-programs
+	. ./di.env;cd ..;$(MAKE) -e prefix=$(prefix) \
+		LOCALEDIR=$(LOCALEDIR) FROMDIR=C install
 
 ###
 # programs
@@ -362,12 +366,12 @@
 		$(MKC_DIR)/mkconfig.pl \
 		features/mkconfig-tcl.dat; fi
 
-$(MKC_REQLIB):	di.env config.h
-	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
+$(MKC_REQLIB):	config.h
+	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
 		-o $(MKC_REQLIB) config.h
 
-$(MKC_TCLREQLIB):	di.env configtcl.h
-	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
+$(MKC_TCLREQLIB):	configtcl.h
+	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
 		-o $(MKC_TCLREQLIB) configtcl.h
 
 
@@ -385,25 +389,22 @@
 TCLOBJECTS = tcldiskspace$(OBJ_EXT)
 
 di$(EXE_EXT):	$(MKC_REQLIB) $(MAINOBJECTS) $(LIBOBJECTS)
-	@echo "*** Using libs: `$(CAT) $(MKC_REQLIB)`"
-	$(CC) -o di$(EXE_EXT) \
-		$(LDFLAGS) $(MAINOBJECTS) $(LIBOBJECTS) $(LIBS) \
-		`$(CAT) $(MKC_REQLIB)`
-
-tcldiskspace.bld:	$(MKC_REQLIB) $(MKC_TCLREQLIB) $(TCLOBJECTS) \
-		$(LIBOBJECTS)
-	@echo "*** Using libs: `$(CAT) $(MKC_TCLREQLIB)` `$(CAT) $(MKC_REQLIB)`"
-	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh \
-		-sharedlib -e diskspace$(SHLIB_EXT) \
-		$(TCLOBJECTS) $(LIBOBJECTS) $(LIBS) \
-		`$(CAT) $(MKC_TCLREQLIB)` `$(CAT) $(MKC_REQLIB)`
-	touch tcldiskspace.bld
+	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -link -exec $(MKC_ECHO) \
+		-r $(MKC_REQLIB) -o di$(EXE_EXT) \
+		$(MAINOBJECTS) $(LIBOBJECTS)
+	
+tcldiskspace.bld:	$(MKC_REQLIB) $(MKC_TCLREQLIB) \
+		$(TCLOBJECTS) $(LIBOBJECTS)
+	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -link -shared $(MKC_ECHO) \
+		-lib -o diskspace$(SHLIB_EXT) \
+		-r $(MKC_REQLIB) -r $(MKC_TCLREQLIB) \
+		$(TCLOBJECTS) $(LIBOBJECTS) $(LIBS)
+	@touch tcldiskspace.bld
 
 perlfilesysdi.bld:	$(MKC_REQLIB) $(LIBOBJECTS)
 	@echo "*** Using libs: `$(CAT) $(MKC_REQLIB)`"
-	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh \
-		-staticlib -e libdiperl \
-		$(LIBOBJECTS) $(LIBS) \
+	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -staticlib $(MKC_ECHO) \
+		-o libdiperl.a $(LIBOBJECTS) $(LIBS) \
 		`$(CAT) $(MKC_REQLIB)`
 	# Don't know how to pass additional libs to Makefile.PL
 	# so pass all the information.
@@ -413,7 +414,7 @@
 	make ; \
 	make test ; \
 	)
-	touch perlfilesysdi.bld
+	@touch perlfilesysdi.bld
 
 mingw-di$(EXE_EXT):	$(MAINOBJECTS) $(LIBOBJECTS)
 	$(CC) -o mingw-di$(EXE_EXT) \
@@ -422,52 +423,41 @@
 ###
 # objects
 
+.c$(OBJ_EXT):
+	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -compile $(MKC_ECHO) \
+		$(DI_SHARED) $(DI_CFLAGS) $<
+
 di$(OBJ_EXT):		di.c config.h di.h dimain.h getoptn.h \
 				options.h version.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(DI_CPPFLAGS) di.c
 
 tcldiskspace$(OBJ_EXT):		tcldiskspace.c config.h di.h \
 				dimain.h getoptn.h \
 				options.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) \
-		$(DI_CPPFLAGS) tcldiskspace.c
 
 dimain$(OBJ_EXT):	dimain.c config.h di.h dimain.h getoptn.h \
 				options.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(DI_CPPFLAGS) dimain.c
 
 digetinfo$(OBJ_EXT):	digetinfo.c config.h di.h dimntopt.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) digetinfo.c
 
 didiskutil$(OBJ_EXT):	didiskutil.c config.h di.h dimntopt.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) didiskutil.c
 
 digetentries$(OBJ_EXT):	digetentries.c config.h di.h dimntopt.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) digetentries.c
 
 diquota$(OBJ_EXT):	diquota.c config.h di.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) diquota.c
 
 display$(OBJ_EXT):	display.c config.h di.h display.h options.h version.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) display.c
 
 getoptn$(OBJ_EXT):	getoptn.c config.h getoptn.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) getoptn.c
 
 options$(OBJ_EXT):	options.c config.h di.h options.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) options.c
 
 realloc$(OBJ_EXT):	realloc.c config.h di.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) realloc.c
 
 strdup$(OBJ_EXT):	strdup.c config.h di.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) strdup.c
 
 strstr$(OBJ_EXT):	strstr.c config.h di.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) strstr.c
 
 trimchar$(OBJ_EXT):	trimchar.c config.h di.h
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) trimchar.c
 
 ###
 # regression testing
@@ -477,3 +467,17 @@
 
 tests.done: $(MKC_DIR)/runtests.sh
 	@echo "## running tests"
+	CC=$(CC) DC=$(DC) $(_MKCONFIG_SHELL) \
+		$(MKC_DIR)/runtests.sh ./tests.d
+	touch tests.done
+
+# needs environment
+.PHONY: testrpmbuild
+testrpmbuild:
+	-$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild
+	$(MKDIR) -p ./rpmbuild/SOURCES
+	$(MKDIR) -p ./rpmbuild/BUILD
+	$(CP) -f $(DI_DIR)/di-$(DI_VERSION).tar.gz ./rpmbuild/SOURCES
+	$(RPMBUILD) --define="_topdir `pwd`/rpmbuild" -ba ../di.spec
+	$(TEST) -f ./rpmbuild/RPMS/$(MARCH)/di-$(DI_VERSION)-1.$(MARCH).rpm || exit 1
+	$(TEST) -f ./rpmbuild/SRPMS/di-$(DI_VERSION)-1.src.rpm || exit 1

=== mkconfig/examples/dtcltk/Makefile ===

TCLPATH = /usr
TCLVER = 8.5

TCLCONFIG = $(TCLPATH)/lib/tcl$(TCLVER)/tclConfig.sh
TCLINCLUDE = $(TCLPATH)/include/tcl$(TCLVER)
CC = cc
DC = dmd
MKCONFIGPATH = ../..

.PHONY: all
all:	tcl/tcl.d tk/tk.d x11/x.d x11/xlib.d

.PHONY: clean
clean:
	-rm -rf hw_tk_d1 hw_tk_d2 *.o \
		*.log *.vars *.cache _tmp_mkconfig

distclean:
	@$(MAKE) clean
	-rm -rf tcl.env tcl tk x11

tcl.env:	env.dat
	CC=$(CC) DC=$(DC) CFLAGS="-I$(TCLINCLUDE) -I$(TCLINCLUDE)/generic" \
		TCLVER=$(TCLVER) TCLPATH=$(TCLPATH) \
		$(MKCONFIGPATH)/mkconfig.sh env.dat

tcl/tcl.d:	tcl.dat tcl.env
	. ./tcl.env; \
		CFLAGS="$${TCL_DEFS} $${CFLAGS} " \
		LIBS="$${TCL_LIB_FLAG} $${TCL_LIBS}" \
		$(MKCONFIGPATH)/mkconfig.sh tcl.dat

tk/tk.d:	tk.dat tcl.env
	. ./tcl.env; \
		CFLAGS="$${TK_INCLUDE_SPEC} $${TK_DEFS} $${CFLAGS} " \
		LIBS="$${TK_LIB_FLAG} $${TK_LIBS}" \
		$(MKCONFIGPATH)/mkconfig.sh tk.dat

x11/x.d x11/xlib.d:	x.dat tcl.env
	. ./tcl.env; \
		CFLAGS="$${CFLAGS} " LIBS="$${LIBS} " \
		$(MKCONFIGPATH)/mkconfig.sh x.dat

TKFILES=tcl/tcl.d tk/tk.d x11/x.d x11/xlib.d

hw_tk_d1:	hw_tk_d1.d $(TKFILES)
	. ./tcl.env; \
		$(MKCONFIGPATH)/mkc.sh -complink -c $(DC) -o hw_tk_d1 -- \
		$(DFLAGS) $(LDFLAGS) \
		$${TK_LIB_SPEC} $${TK_LIBS} \
		$${TCL_LIB_SPEC} $${TCL_LIBS} hw_tk_d1.d $(TKFILES)

hw_tk_d2:	hw_tk_d2.d $(TKFILES)
	. ./tcl.env; \
		$(MKCONFIGPATH)/mkc.sh -complink -c $(DC) -o hw_tk_d2 -- \
		$(DFLAGS) $(LDFLAGS) \
		$${TK_LIB_SPEC} $${TK_LIBS} \
		$${TCL_LIB_SPEC} $${TCL_LIBS} hw_tk_d2.d $(TKFILES)

=== debian/changelog ===
di (4.47-1) unstable; urgency=medium

  * New upstream release (Closes: #770974, 734666)
  * Change Priority to optional
  * Bump standards version

 -- Michael Ablassmeier <abi@debian.org>  Mon, 25 Feb 2019 08:43:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: di
 Section: utils
-Priority: extra
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Michael Ablassmeier <abi@debian.org>
-Build-Depends: debhelper (>= 9), gettext
-Standards-Version: 3.9.1
+Priority: optional
+Maintainer: Michael Ablassmeier <abi@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), gettext
+Standards-Version: 4.3.0
 Homepage: http://www.gentoo.com/di/
 
 Package: di

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) all-c

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/di/usr/
	rm -f $(CURDIR)/debian/di/usr/bin/mi

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	rm -f dioptions.dat
